/*
 * @Author: wufan
 * @Date: 2020-12-02 10:39:36
 * @LastEditors: zhangleyuan
 * @LastEditTime: 2020-12-04 15:38:04
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
class Permission {
  constructor(permissionCodes) {
    this.permissionCodes = permissionCodes;
  }

  // 添加、编辑、删除排课
  ContentClass_Schedule() {
    return this.permissionCodes.includes('ShopStaff');
  }

  CreateNewExam() {
    return this.permissionCodes.includes('AddExam');
  }

  // AddExam() {  //创建考试
  //   return this.permissionCodes.includes('AddExam');
  // }

  SeeExamData() { // 查看考试数据
    return this.permissionCodes.includes('SeeExamData');
  }

  DelExam() { // 删除考试
    return this.permissionCodes.includes('SeeExamData');
  }

}

Permission.prototype.AddExam = function () {  //创建考试
  return this.permissionCodes.includes('AddExam');
}
export default Permission;
